/* TableStyleMedium19.java

	Purpose:
		
	Description:
		
	History:
		Mar 30, 2015 5:17:51 PM, Created by henrichen

	Copyright (C) 2015 Potix Corporation. All Rights Reserved.
*/

package org.zkoss.zssex.model.sys;

import org.zkoss.zss.model.SBorder.BorderType;
import org.zkoss.zss.model.SFill.FillPattern;
import org.zkoss.zss.model.STableStyleElem;
import org.zkoss.zss.model.SFont.Underline;
import org.zkoss.zss.model.impl.BorderImpl;
import org.zkoss.zss.model.impl.BorderLineImpl;
import org.zkoss.zss.model.impl.ExtraFillImpl;
import org.zkoss.zss.model.impl.FontImpl;
import org.zkoss.zss.model.impl.TableStyleElemImpl;
import org.zkoss.zss.model.impl.TableStyleImpl;

/**
 * Builtin TableStyleMediumn19
 * 
 * @author henri
 * @since 3.8.0
 */
public class TableStyleMedium19 extends TableStyleImpl {
	private TableStyleMedium19() {
		super(
				"TableStyleMedium19",//name,
				M19_Whole_Table, 	//wholeTable,
				M19_Col_Stripe1, 	//colStripe1,
				1, 					//colStripe1Size,
				null, 				//colStripe2,
				1, 					//colStripe2Size,
				M19_Row_Stripe1, 	//rowStripe1,
				1, 					//rowStripe1Size,
				null,				//rowStripe2,
				1, 					//rowStripe2Size,
				M19_Last_Col, 	//lastCol,
				M19_First_Col,	//firstCol,
				M19_Header_Row,	//headerRow,
				M19_Total_Row,	//totalRow,
				null,	//firstHeaderCell,
				null,	//lastHeaderCell,
				null,	//firstTotalCell,
				null	//lastTotalCell
			);
	}
	
	private static final STableStyleElem M19_Col_Stripe1 = 
			new TableStyleElemImpl(
				null,	//font
				new ExtraFillImpl(FillPattern.SOLID, "D8D8D8", "D8D8D8"), 	//fill //ZSS-1162
				null	//border
			);

	private static final STableStyleElem M19_Row_Stripe1 =
			M19_Col_Stripe1;
	private static final STableStyleElem M19_Last_Col =
			new TableStyleElemImpl(
				new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
						false /*fontStrikeout*/, Underline.NONE), 	//font
				new ExtraFillImpl(FillPattern.SOLID, "8064A2", "8064A2"),//fill //ZSS-1162
				null //border
			);
	private static final STableStyleElem M19_First_Col =
			M19_Last_Col;
	private static final STableStyleElem M19_Total_Row =
			new TableStyleElemImpl(
					null, 	//font
					null,   //fill
					new BorderImpl(
							null, //left 
							new BorderLineImpl(BorderType.DOUBLE, "000000"), //top 
							null, //right
							null, //bottom
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final BorderLineImpl M19_Header_Bottom_Border = 
			new BorderLineImpl(BorderType.MEDIUM, "000000");
	private static final STableStyleElem M19_Header_Row =
			new TableStyleElemImpl(
					new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "8064A2", "8064A2"),//fill //ZSS-1162
					new BorderImpl(
							null, //left 
							null, //top 
							null, //right
							M19_Header_Bottom_Border, //bottom
							null, //diagonal
							null, //vertical
							null	//horizontal
					)
			);
	private static final BorderLineImpl M19_Outline_Border = 
			M19_Header_Bottom_Border;
	private static final STableStyleElem M19_Whole_Table = 
			new TableStyleElemImpl(
					new FontImpl("000000", false /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					null,		//fill
					new BorderImpl(
							null, //left 
							M19_Outline_Border, //top 
							null, //right
							M19_Outline_Border, //bottom
							null, //diagonal
							null, //vertical
							null	//horizontal
					)
			);
	public static final TableStyleMedium19 instance = new TableStyleMedium19();
}
